#include <stdio.h>
#include <stdlib.h>

/*
 * makes out of a character rom file
 * an ascii file with the human readable
 * cahracters. 
 * one byte is put in one line.
 * * means bit set, . means
 * bit cleared. 
 *
 * takes zero or two parameters:
 * rom2ascii n m
 * n = characters to skip
 * m = characters to display
 * default is 0 , 1.
 */

int main(int argc, char *argv[])
{
  int c;
  int n = 0;
  int m = 1;
  int i,j;

  if ( argc == 3 )
  {
    n = atoi( argv[1] );
    m = atoi( argv[2] );
    for ( i = 0; i < n; i++ )
      for ( j = 0; j < 8; j++ )
        c = getchar();
  }

  for ( i = 0; i < m; i++ )
  {
    for ( j = 0; j < 8; j++ )
    {
      c = getchar();
      if ( c == EOF ) return 0;
      putchar( (c & 0x80) ? '*' : '.' );
      putchar( (c & 0x40) ? '*' : '.' );
      putchar( (c & 0x20) ? '*' : '.' );
      putchar( (c & 0x10) ? '*' : '.' );
      putchar( (c & 0x08) ? '*' : '.' );
      putchar( (c & 0x04) ? '*' : '.' );
      putchar( (c & 0x02) ? '*' : '.' );
      putchar( (c & 0x01) ? '*' : '.' );
      putchar( 0x0a );
    }
    puts( "--------" );
  }
  return 0;
}
